Apache Tomcat 7.0.42

## org.apache.catalina.startup
Class Tomcat.FixContextListener

    java.lang.Object
      org.apache.catalina.startup.Tomcat.FixContextListener

All Implemented Interfaces:
  LifecycleListener

Enclosing class:
  Tomcat

    public static class Tomcat.FixContextListener

extends Object
implements LifecycleListener

Fix startup sequence - required if you don't use web.xml. The start() method in context will set 'configured' to false - and expects a listener to set it back to true.

Constructor Summary
`Tomcat.FixContextListener()`

Method Summary
`void` `lifecycleEvent(LifecycleEvent event)` Acknowledge the occurrence of the specified event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Tomcat.FixContextListener

    public Tomcat.FixContextListener()

Method Detail

### lifecycleEvent

    public void lifecycleEvent(LifecycleEvent event)

  Description copied from interface: `LifecycleListener`
  Acknowledge the occurrence of the specified event.

  Specified by:
    `lifecycleEvent` in interface `LifecycleListener`
  Parameters:
    `event` - LifecycleEvent that has occurred

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.